import { $loopPrint } from '../../lodop/Common/Print';
import { message } from 'antd';
import { $http } from 'containers/config/https';

/**打印采购计划单
 *
 */
export function printPurPlan(rowId) {
    if (!rowId) {
        message.error("请选择采购单之后再打印");
        return;
    }
    const data = {
        params: [{ PPID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060151",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存调整单
 */
export function printStkAdj(rowId) {
    if (!rowId) {
        message.error("请选择调整单之后再打印");
        return;
    }
    const data = {
        params: [{ stkAdjID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060152",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存转移单
 */
export function printTransfer(rowId) {
    if (!rowId) {
        message.error("请选择转移单之后再打印");
        return;
    }
    const data = {
        params: [{ transID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060158",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**
 * 打印库存报损单
 */
export function printStkSrap(rowId) {
    if (!rowId) {
        message.error("请选择报损单之后再打印");
        return;
    }
    const data = {
        params: [{ stkScrapID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060157",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印入库单
 */
export function printInOp(rowId) {
    if (!rowId) {
        message.error("请选择入库单之后再打印");
        return;
    }
    const data = {
        params: [{ inOperID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060150",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印退货单
 */
export function printStkRet(rowId) {
    if (!rowId) {
        message.error("请选择退货单之后再打印");
        return;
    }
    const data = {
        params: [{ stkReturnID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060156",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印付款单
 */
export function printStkPay(rowId) {
    if (!rowId) {
        message.error("请选择付款单之后再打印");
        return;
    }
    const data = {
        params: [{ stkPayID: rowId }]
    };
    $http.post('urlS', this, {
        code: "02060153",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印月报
 */
export function printStkReport(rowId, sortFlag, priceFlag) {
    if (!rowId) {
        message.error("请选择月报之后再打印");
        return;
    }
    const data = {
        params: [{
            stkReportID: rowId,
            sortFlag: sortFlag,
            priceFlag: priceFlag
        }]
    };
    $http.post('urlS', this, {
        code: "02060154",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}

/**打印请求单
 */
export function printStkRequest(rowId) {
    if (!rowId) {
        message.error("请选择请求单之后再打印");
        return;
    }
    const data = {
        params: [{
            stkReqID: rowId,
        }]
    };
    $http.post('urlS', this, {
        code: "02060155",
        data: data,
        success: function (res) {
            // console.log(res)
            if (+res.errorCode === 0) {
                $loopPrint('', res.result);
            } else {
                message.error(res.errorMessage);
            }
        }
    })
}